Name:		slurm-showq
Version:	0.1
Release:	3%{?dist}
Summary:	A "showq" style job summary utility for SLURM

Group:		System Environment/Base
License:	GPLv3
URL:		https://github.com/fasrc/slurm_showq
# from github: 	https://github.com/fasrc/slurm_showq/archive/master.zip
Source0:	slurm_showq-master.zip
Patch1:		moveshowq.patch
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	slurm-devel
Requires:	slurm

%description
A "showq" style job summary utility for SLURM. Useful for generating a
summary of all running, pending, and blocked jobs.

%prep
%setup -q -n slurm_showq-master
%patch1 -p1 -b .moveshowq

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
install -m 755 showq %{buildroot}%{_bindir}
mkdir -p %{buildroot}/etc/slurm
install -m 644 showq.conf.example %{buildroot}/etc/slurm/

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README
%{_bindir}/showq
/etc/slurm/showq.conf.example

%changelog
* Wed Jul 09 2014 Josko Plazonic <plazonic@princeton.edu> 0.1-1.sdl6.1
- initial build
